## org.eclipse.datatools.sqltools.sqlbuilder.views.with
Class WithTableViewer

    java.lang.Object
      org.eclipse.jface.viewers.Viewer
          org.eclipse.datatools.sqltools.sqlbuilder.views.BaseWindow
              org.eclipse.datatools.sqltools.sqlbuilder.views.with.WithTableViewer

All Implemented Interfaces:
  org.eclipse.jface.viewers.IInputProvider, org.eclipse.jface.viewers.IInputSelectionProvider, org.eclipse.jface.viewers.ISelectionProvider, org.eclipse.swt.widgets.Listener

    public class WithTableViewer

extends BaseWindow

SQLWithTable viewer

Constructor Summary
`WithTableViewer(SQLDomainModel domain)`

Method Summary
`org.eclipse.swt.widgets.Control` `createControl(org.eclipse.swt.widgets.Composite parent)`
`void` `handleEvent(org.eclipse.swt.widgets.Event event)`
`void` `setInput(java.lang.Object element)`

Methods inherited from class org.eclipse.datatools.sqltools.sqlbuilder.views.BaseWindow
`getControl, getDomainModel, getInput, getSelection, refresh, setSelection`

Methods inherited from class org.eclipse.jface.viewers.Viewer
`addHelpListener, addSelectionChangedListener, getData, removeHelpListener, removeSelectionChangedListener, scrollDown, scrollUp, setData, setSelection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WithTableViewer

    public WithTableViewer(SQLDomainModel domain)

Method Detail

### createControl

    public org.eclipse.swt.widgets.Control createControl(org.eclipse.swt.widgets.Composite parent)

### setInput

    public void setInput(java.lang.Object element)

  Overrides:
    `setInput` in class `BaseWindow`

### handleEvent

    public void handleEvent(org.eclipse.swt.widgets.Event event)